﻿import { Injectable } from '@angular/core';

@Injectable()
export class NextSessionService {

    get userId(): number | undefined {
        return next.session.userId;
    }

    get tenantId(): number | undefined {
        return next.session.tenantId;
    }

    get impersonatorUserId(): number | undefined {
        return next.session.impersonatorUserId;
    }

    get impersonatorTenantId(): number | undefined {
        return next.session.impersonatorTenantId;
    }

    get multiTenancySide(): next.multiTenancy.sides {
        return next.session.multiTenancySide;
    }

}