﻿import { Injectable } from '@angular/core';

@Injectable()
export class UtilsService {

    getCookieValue(key: string): string {
        return next.utils.getCookieValue(key);
    }

    setCookieValue(key: string, value: string, expireDate?: Date, path?: string): void {
        next.utils.setCookieValue(key, value, expireDate, path);
    }

    deleteCookie(key: string, path?: string): void {
        next.utils.deleteCookie(key, path);
    }

}