# next-ng2-module

## Installation

To install this library, run:

```bash
$ npm install next-ng2-module --save
```
## Development

To generate all `*.js`, `*.js.map` and `*.d.ts` files:

```bash
$ npm run build
```

## NextHttpInterceptor

In order to use NextHttpInterceptor in your module, first import it into your module like below;

```ts
import { NextHttpInterceptor } from '@next/nextHttpInterceptor';
import { HTTP_INTERCEPTORS } from '@angular/common/http';
```

then, add it to your module providers like below;

```ts
providers: [
        { provide: HTTP_INTERCEPTORS, useClass: NextHttpInterceptor, multi: true }
    	///other providers
    ]
```

## License

MIT
